Add standard "Must be after no_chromium_code" comment in GN files.
[pdfium.git] / BUILD.gn
index 7302863..6accde5 100644 (file)
--- a/BUILD.gn
+++ b/BUILD.gn
@@ -61,7 +61,6 @@ static_library("pdfium") {
     "fpdfsdk/src/fpdfformfill.cpp",
     "fpdfsdk/src/fpdfppo.cpp",
     "fpdfsdk/src/fpdfsave.cpp",
-    "fpdfsdk/src/fpdfsdkdll.rc",
     "fpdfsdk/src/fpdftext.cpp",
     "fpdfsdk/src/fpdfview.cpp",
     "fpdfsdk/src/fsdk_actionhandler.cpp",
@@ -70,7 +69,6 @@ static_library("pdfium") {
     "fpdfsdk/src/fsdk_baseform.cpp",
     "fpdfsdk/src/fsdk_mgr.cpp",
     "fpdfsdk/src/fsdk_rendercontext.cpp",
-    "fpdfsdk/src/resource.h",
     "public/fpdf_dataavail.h",
     "public/fpdf_doc.h",
     "public/fpdf_edit.h",
@@ -556,8 +554,7 @@ static_library("fxge") {
   configs += [
     ":pdfium_config",
     "//build/config/compiler:no_chromium_code",
-    # As of this writing, this needs to be last to suppress a -Wswitch warning.
-    # https://crbug.com/547906
+    # Must be after no_chromium_code for warning flags to be ordered correctly.
     ":fxge_warnings",
   ]
 
@@ -780,6 +777,7 @@ test("pdfium_embeddertests") {
   sources = [
     "core/src/fpdfapi/fpdf_parser/fpdf_parser_decode_embeddertest.cpp",
     "core/src/fpdfapi/fpdf_parser/fpdf_parser_parser_embeddertest.cpp",
+    "core/src/fpdfapi/fpdf_render/fpdf_render_pattern_embeddertest.cpp",
     "fpdfsdk/src/fpdf_dataavail_embeddertest.cpp",
     "fpdfsdk/src/fpdfdoc_embeddertest.cpp",
     "fpdfsdk/src/fpdfformfill_embeddertest.cpp",